### Enumeration

# Qmi LocNavigationData

since: 1.22

#### Declaration

    enum Qmi.LocNavigationData

#### Description [src]

Whether the ephemeris or almanac exist for a satellite.

Available since: 1.22

#### Members

`QMI_LOC_NAVIGATION_DATA_HAS_EPHEMERIS`

  Has ephemeris.

  - Value: `0`
  - Available since: 1.22
`QMI_LOC_NAVIGATION_DATA_HAS_ALMANAC`

  Has almanac.

  - Value: `1`
  - Available since: 1.22

#### Type functions

###### qmi_loc_navigation_data_get_string

Gets the nickname string for the `QmiLocNavigationData` specified at `val`.

since: 1.22